Get Finance Offers for a Product
1 min
GET
https://api.upstartcommerce.com/v1/finance-offers/products/{productId}
Path Parameters
- productIdstringrequiredDescription
Header Parameters
- x-upstart-tenantstringrequiredDescription
Responses
200
- FinanceOffer[]Description
- idstring<uuid>requiredFormatuuid
- activationDatestring<date-time>ExampleDescriptionFormatdate-time
- creationDatestring<date-time>requiredExampleDescriptionFormatdate-time
- currencystringrequiredExampleDescription
- deactivationDatestring<date-time>ExampleDescriptionFormatdate-time
- descriptionstringrequiredExampleDescription
- downPaymentDownPaymentDescription
- AbsoluteDownPayment
- amountnumberrequiredExample
- RelativeDownPayment
- percentnumber<double>requiredExampleFormatdoubleMinimum0Maximum1
- DeliveryAndTaxes
- typestringrequiredDefaultDeliveryAndTaxes
- enabledbooleanrequiredDescription
- financeOfferTypeFinanceOfferTyperequired
- internalNamestringrequiredExampleDescription
- minimumMonthlyPaymentnumberExampleDescriptionMinimum0
- minimumPurchaseAmountnumberrequiredExampleDescriptionMinimum0
- namestringrequiredExampleDescription
- promotionalPeriodMonthsinteger<int32>requiredExampleDescriptionFormatint32Minimum0
- providerProviderrequired
- providerFinanceOfferIdProviderFinanceOfferIdrequired
- siteIdsstring[]required
- sortOrderinteger<int32>requiredExampleDescriptionFormatint32Minimum0
- tiersTier[]requiredDescription
- promotionalFeenumberrequiredDescriptionMinimum0Maximum100
- productBasedOfferbooleanrequiredExampleDescription
401
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request GET \
--url https://api.upstartcommerce.com/v1/finance-offers/products/{productId} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/finance-offers/products/{productId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/finance-offers/products/{productId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/finance-offers/products/{productId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Finance offers associated with the product returned (may be empty).
[
{
"id": "",
"activationDate": "2017-07-21T17:32:28Z",
"creationDate": "2017-07-21T17:32:28Z",
"currency": "USD",
"deactivationDate": "2017-07-21T17:32:28Z",
"description": "In accepting this offer you receive 6 months interest free when you spend over $1,000. After 6 months....",
"downPayment": {},
"enabled": false,
"financeOfferType": "",
"internalName": "6mos Free interest +$1000",
"minimumMonthlyPayment": 100,
"minimumPurchaseAmount": 1000,
"name": "Get 6 months free interest when you finance $1000 or more",
"promotionalPeriodMonths": 12,
"provider": "",
"providerFinanceOfferId": "",
"siteIds": [
""
],
"sortOrder": 1,
"tiers": [
""
],
"promotionalFee": 0,
"productBasedOffer": true
}
]401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}